Loading...
Searching...
No Matches
BALL::TreeWidthImplementation< UndirectedGraph >::MinorMinWidthReducer Class Reference

`#include <BALL/DATATYPE/GRAPH/treeWidth.h>`

## Public Member Functions

| MinorMinWidthReducer (UndirectedGraph &graph)
void | operator() (VertexType &vertex)
void | contractEdge (VertexType &u, VertexType &v)

## Protected Attributes

UndirectedGraph & | graph_

## Detailed Description

template<class UndirectedGraph>
class BALL::TreeWidthImplementation< UndirectedGraph >::MinorMinWidthReducer

Contract the edge of the vertex which fits the MinorMinWidthCriterion with a neighbour with minimum degree

Template Parameters

  UndirectedGraph | the graph type

Exceptions

  BALL::GRAPH::UnconnectedGraphException | if called on unconnected graphs

Definition at line 219 of file treeWidth.h.

## Constructor & Destructor Documentation

## MinorMinWidthReducer()

template<class UndirectedGraph>

BALL::TreeWidthImplementation< UndirectedGraph >::MinorMinWidthReducer::MinorMinWidthReducer | ( | UndirectedGraph & | graph | ) |

## Member Function Documentation

## contractEdge()

template<class UndirectedGraph>

void BALL::TreeWidthImplementation< UndirectedGraph >::MinorMinWidthReducer::contractEdge | ( | VertexType & | u,
|  | VertexType & | v )

## operator()()

template<class UndirectedGraph>

void BALL::TreeWidthImplementation< UndirectedGraph >::MinorMinWidthReducer::operator() | ( | VertexType & | vertex | ) |

## Member Data Documentation

## graph_

template<class UndirectedGraph>

UndirectedGraph& BALL::TreeWidthImplementation< UndirectedGraph >::MinorMinWidthReducer::graph_

protected

Definition at line 228 of file treeWidth.h.